[linux-audio-announce] Ceres V0.37, Mammut V0.14, Vstserver V0.2.5

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: \\yvind Hammer <oyvind.hammer@...>, <linux-audio-announce@...>
Date: Friday, January 3, 2003 - 5:27 pm

Ceres
****************************
Ceres is a program for displaying sonograms, sound
effects and editing in the frequency domain, import and export of various
(obscure) non-audio file-formats (csound, matlab, PBM, etc.).

0.36 -> 0.37:
-------------
-Fixed broken LPC.
-Fixed very serious bugs in the "sieve", "Spectrum shift"
and "Spectral subtraction" transforms. Bugs introduced
in V0.30.
*They should now sound correct.*
Oops.
-Fixed a semi-serious bug in the convolve transform.
-Added "make install" to the makefile. Set the "INSTALLPATH"
variable in the makefile.
-Removed some debug printings.

Mammut
*****************************
Mammut will FFT your sound in ONE single gigantic analysis (no windows).
An interesting aspect of Mammut is its completely non-intuitive sound
transformation approach. You must have a certain attitude when using this
program. Use it experimentally, by ear. Do not try to understand what
happens - even the programmer can't explain it in many cases.

0.13 -> 0.14:
-------------
-Fixed the rest of the transforms to support more than two channels.
-Updated the version number in the about dialog from 0.12 to 0.14.

Vstserver
*****************************
Vstserver is a program that must be running when using programs
using vstlib.
Vstlib is a library that can be used by programs to run windows
vst audio plugins under linux/freebsd/i386solaris/etc.

0.2.4 -> 0.2.5:
---------------
-Reorganized the source a bit.
-Fixed (sort of) broken LOCKS_new function, and added a check for possible
deadlock.
-Included the vst include files into the distribution.
-Removed the modified aeffectx.h file, it was perhaps a violation to some
licence to include it. Included a diff-file instead. :)
aeffectx.h is now automaticly patched by the makefile.
-Test for kEffectMagic when opening plugin.
-Added a version-test to vstserver to avoid having a client compiled with
a different version of vstlib trying to start a plugin.
-Again, you have to recompile all programs linked with vstlib.a after upgrading.
Will make a shared library as default when the API settles. Everything
may still change. (However, this is not a very important upgrade from 0.2.4.)

***************************

Download from http://www.notam02.no/arkiv/src/

--

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
[linux-audio-announce] Ceres V0.37, Mammut V0.14, Vstserver ..., Kjetil S. Matheussen, (Fri Jan 3, 5:27 pm)
[linux-audio-announce] ruby/audio 0.1.0, Hans Fugal, (Mon Nov 21, 6:46 pm)
[LAA] QM Vamp Plugins v1.5 now available, Chris Cannam, (Fri Dec 12, 6:15 pm)
[LAA] [ANN] KMidimon 0.7.3 released, Pedro Lopez-Cabanillas, (Wed Mar 10, 1:57 pm)
[LAA] Rivendell v2.1.3, Fred Gleason, (Tue Feb 21, 6:39 pm)
[LAA] Mup 6.1 Music Publisher, Arkkra Enterprises, (Sat Dec 29, 10:31 am)